Skip to main content
POST
Create a browser session

Headers

Request Body

Response

Example Request

Example Response

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ttl
integer
default:300

Total time-to-live in seconds for the browser session

Required range: 30 <= x <= 3600
activityTtl
integer

Time in seconds before the session is destroyed due to inactivity

Required range: 10 <= x <= 3600
streamWebView
boolean
default:true

Whether to stream a live view of the browser

profile
object

Enable persistent storage across browser sessions. Data saved in one session can be loaded in a later session using the same name.

Response

Browser session created successfully

success
boolean
id
string

The unique session identifier

cdpUrl
string

WebSocket URL for Chrome DevTools Protocol access

liveViewUrl
string

URL to view the browser session in real time

interactiveLiveViewUrl
string

URL to interact with the browser session in real time (click, type, scroll)

expiresAt
string<date-time>

When the session will expire based on TTL